package com.example;

import java.io.*;
import java.net.*;
import java.util.Random;

/**
 * Created by Victor on 20/12/2015.
 */
public class Principal {

    public static void main(String argv[]) throws Exception {
        DatagramSocket UDPSocket = new DatagramSocket(2589);
        byte[] receiveData = new byte[1024];
        byte[] sendData = new byte[1024];
        Random aleatori;
        int valorAleatori;
        String clientSend;

        aleatori = new Random();

        while (true) {
            DatagramPacket receivePacket = new DatagramPacket(receiveData, receiveData.length);
            UDPSocket.receive(receivePacket);

            String clientReadied = new String(receivePacket.getData());
            System.out.println("Received: " + clientReadied);

            InetAddress IPAddress = receivePacket.getAddress();
            int port = receivePacket.getPort();

            if(clientReadied.startsWith("GET RANDOM VALUE"))
            {
                valorAleatori=aleatori.nextInt(10000);

                clientSend="GET OK, VALUE=" +valorAleatori;
                System.out.println("Send to client: GET OK, VALUE=" +valorAleatori);
            }
            else if(clientReadied.startsWith("SET VALUE="))
            {

                clientSend="SET OK";
                System.out.println("Send to Client: SET OK");
            }
            else if(clientReadied.startsWith(""))
            {
                clientSend ="";
                System.out.println("Nothing to send");
            }
            else
            {
                clientSend = "UNKNOWN COMMAND";
                System.out.println("Send to Client: UNKNOWN COMMAND");
            }
            if (!clientSend.equals(""))
            {
                sendData = clientSend.getBytes();
                DatagramPacket sendPacket =
                        new DatagramPacket(sendData, sendData.length, IPAddress, port);
                UDPSocket.send(sendPacket);
            }
        }
    }
}